Cisco Security Manager

Cisco has published multiple security advisories concerning critical flaws in Cisco Security Manager (CSM) a week after the networking equipment maker quietly released patches with version 4.22 of the platform.

The development comes after Code White researcher Florian Hauser (frycos) yesterday publicly disclosed proof-of-concept (PoC) code for as many as 12 security vulnerabilities affecting the web interface of CSM that makes it possible for an unauthenticated attacker to achieve remote code execution (RCE) attacks.

The flaws were responsibly reported to Cisco’s Product Security Incident Response Team (PSIRT) three months ago, on July 13.

“Since Cisco PSIRT became unresponsive and the published release 4.22 still doesn’t mention any of the vulnerabilities,” claimed frycos in a tweet, citing the reasons for going public with the PoCs yesterday.

Cisco Security Manager is an end-to-end enterprise solution that allows organizations to enforce access policies and manage and configure firewalls and intrusion prevention systems in a network.

cisco hacking

The company released the 4.22 version of CSM on November 9 with a number of security enhancements, including support for AnyConnect Web Security WSO along with deprecating MD5 hash algorithm and DES and 3DES encryption algorithms.

The vulnerabilities allow an attacker to craft malicious requests as well as upload and download arbitrary files in the context of the highest-privilege user account “NT AUTHORITY\SYSTEM,” giving the adversary access to all files in a specific directory.

“The vulnerability is due to improper validation of directory traversal character sequences within requests to an affected device,” Cisco said in its advisory. “An attacker could exploit this vulnerability by sending a crafted request to the affected device. A successful exploit could allow the attacker to download arbitrary files from the affected device.”

The flaw has a CVSS score of 9.1 out of 10, making it critical in severity.

A separate flaw (CVSS score: 8.1) due to an insecure Java deserialization function used by CSM could have allowed an unauthenticated, remote attacker with system privileges to execute arbitrary commands on an affected device.

However, Cisco is yet to address the flaw, with a planned fix set to be included in Cisco Security Manager Release 4.23.

The company also said it’s aware of public announcements about the vulnerabilities and that it hasn’t so far found any evidence that the flaws were exploited in the wild.

Source